1

[alpine-aports] [PATCH] testing/gosu: new aport

David Huffman
Details
Message ID
<BLU436-SMTP683E30331EAA7365BD96F5B2CE0@phx.gbl>
Sender timestamp
1452953440
DKIM signature
missing
Download raw message
Patch: +46 -0
https://github.com/tianon/gosu
Simple Go-based setuid+setgid+setgroups+exec
---
 testing/gosu/APKBUILD | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)
 create mode 100644 testing/gosu/APKBUILD

diff --git a/testing/gosu/APKBUILD b/testing/gosu/APKBUILD
new file mode 100644
index 0000000..0b347c9
--- /dev/null
+++ b/testing/gosu/APKBUILD
@@ -0,0 +1,46 @@
+# Contributor: David Huffman <storedbox@outlook.com>
+# Maintainer: David Huffman <storedbox@outlook.com>
+pkgname=gosu
+pkgver=1.7
+pkgrel=0
+pkgdesc="Simple Go-based setuid+setgid+setgroups+exec"
+url="https://github.com/tianon/gosu"
+arch="all"
+license="GPL3"
+depends=""
+depends_dev=""
+makedepends="$depends_dev go"
+install=""
+subpackages=""
+source="https://github.com/tianon/gosu/archive/$pkgver/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/github.com/tianon/$pkgname"
+prepare() {
+	mkdir -p "$_builddir"
+	find "$srcdir" -name '*.go' -type f -exec mv {} "$_builddir" \+
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	export GOPATH="$startdir"
+	go get || return 1
+	go build -v || return 1
+}
+
+package() {
+	cd "$_builddir"
+	local bindir="$pkgdir/usr/bin"
+	mkdir -p "$bindir" || return 1
+	cp gosu "$bindir" || return 1
+}
+
+md5sums="84aa02fc06fcbb81834a7466bf2778e1  gosu-1.7.tar.gz"
+sha256sums="a010c7e34de69bfc2aa4b104a73c63d09e51caa6a5c8d75e836be6c692e9aae1  gosu-1.7.tar.gz"
+sha512sums="745afb75735321f2e239fe93fc947f969bda76dd9869cbf25850e7d7f4f271e5e00afceaead7da11063302e5af2b143ca42282b1a5907de99da3e90cf7197ed6  gosu-1.7.tar.gz"
-- 
2.6.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20160119121345.6890ec8d@ncopa-desktop.alpinelinux.org>
In-Reply-To
<BLU436-SMTP683E30331EAA7365BD96F5B2CE0@phx.gbl> (view parent)
Sender timestamp
1453202025
DKIM signature
missing
Download raw message
On Sat, 16 Jan 2016 09:10:40 -0500
David Huffman <storedbox@outlook.com> wrote:

> https://github.com/tianon/gosu
> Simple Go-based setuid+setgid+setgroups+exec

I wrote su-exec to replace gosu. It does more or less exactly the same
thing. Only difference is that su-exec is 10kb and gosu is 2.5MB.

Are you sure we still want gosu?

-nc 


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---